// -*- C++ -*-

#ifndef _NASAUDIO_H_
#define _NASAUDIO_H_

#include "mNasD.h"
#include "Audio.h"
#include "Loadable.h"

#define SERVER_PORT 3490
#define MAXDATASIZE 512

typedef long SoundID;

class NasAudio: public Audio {
  int serverFD;
  char buf[MAXDATASIZE];
  char retBuf[32];

  int waitForReply();

 public:
  NasAudio();
  ~NasAudio();

  virtual SoundID	PlaySound(const char *soundFile, float *rate,
				  int volume, int muffle, int looped);
  virtual int		StopSound(SoundID);
  virtual int		StopAllSounds();

  virtual void        ShutDown();
};

#endif
